EnderDash

Update Built In Rules

POST
/alerts/updateBuiltInRules

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
flappingThreshold*integer
Range2 <= value <= 10
flappingWindowSeconds*integer
Range120 <= value <= 3600
offlineGraceSeconds*integer
Range30 <= value <= 900
recoveryNotificationsEnabled*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/alerts/updateBuiltInRules" \  -H "Content-Type: application/json" \  -d '{    "flappingThreshold": 2,    "flappingWindowSeconds": 120,    "offlineGraceSeconds": 30,    "recoveryNotificationsEnabled": true  }'
null